eoDetTournamentTruncate(3)

NAME
eoDetTournamentTruncate - a truncate class based on a repeated deterministic (reverse!) tournament To be used in SSGA-like replacements (e.g.

SYNOPSIS

#include <eoReduce.h>

Inherits eoReduce< EOT >< EOT >.

  Public Member Functions
eoDetTournamentTruncate (unsigned _t_size)
void operator() (eoPop< EOT > &_newgen, unsigned _newsize)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
unsigned t_size

Detailed Description

  template<class EOT> class eoDetTournamentTruncate< EOT >
a truncate class based on a repeated deterministic (reverse!) tournament To be used in SSGA-like replacements (e.g. see eoSSGADetTournamentReplacement)

Definition at line 188 of file eoReduce.h.

Author

Generated automatically by Doxygen for EO from the source code.